
import glitch
from glitch.PIL.image import ImageSequenceTexture
from glitch.PIL.imagecamera import ImageCamera

if __name__ == '__main__':
    texture = ImageSequenceTexture("/path/to/image/sequence-%06d.jpg")
    camera = ImageCamera(640, 360, "out-%06d.jpg",
        eye=[.5,.5,1], ref=[.5,.5,0],children=[
             glitch.ApplyTexture(texture, children=[
                glitch.TexturedRectangle()])])

    for i in range(1, 50):
        camera.render({'frame':i})
